Not logged in. · Lost password · Register
Forum: General Help and Support Installation and Configuration RSS
Install.php Won't Run: Unmodified Dokuwiki??
Page:  previous  1  2 
Avatar
mfh #16
Member since Jun 2007 · 3 posts
Group memberships: Members
Show profile · Link to this post
In reply to post ID 3240
first, thanks for your quick and quite complete reply
Quote by andi:
Quote by mfh:
1/ it would be nice if it would be said somewhere what the installer does, concretely
http://wiki.splitbrain.org/wiki:installer
well : contents of that page :
-Title
- 1 line summary
- section "Possible error messages"
- section "The fields to fill"

The problem is, if installed with apt-get (according to instructions), the installer won't run ("
# unrecognised or modified dokuwiki.php (hash=32b6519b0d438480341c0cee2b9a5134)
# /usr/share/dokuwiki-old/conf/users.auth.php already exists
# /usr/share/dokuwiki-old/conf/acl.auth.php already exists
")
BUT, afaics, there are NO ACL configured (no login/logout/register button, and trying by hand pages like "users", "login", ...= >  don't seem to exist)

Quote by andi:
Quote by mfh:
2/ i'm running debian, but I cannot upgrade to the latest version since it's not on the debian server (i.e. I just installed dw with apt-get install, and then going to the homepage it shows the link "new version avail") - so I got the TGZ: read on ...
You should submit a Debian bug report, asking for a new package.
well, I don't think so : a RC should be at best in "unstable", so even if i'm "testing"...

Quote by andi:
Quote by mfh:
3/ it would be nice to provide some basic instructions for upgrading
http://wiki.splitbrain.org/wiki:install:upgrade
thanks for the link, I could not find it elsewhere ; in particular not on ..wiki:install

Quote by andi:
Quote by mfh:
4/ the installer requires DW/conf (which by default is /etc/DW/) to be writable for the web server and thus for anybody who uses it from anywhere
Debian's file system structure is very different from the default structure. I don't recommend to mix both of them. Upgrading the Debian package with a vanilla .tgz will give you some headaches.
? mix both of them ? oh I see : I should NOT unpack a TGZ on debian. thus, always have this "update like" sitting there (unless disabled) :-( !
Quote by andi:
Also the installer is not for upgrading, it is only for intial setup.
i know now. it should tell me that when install.php sees the above "problems"

Quote by andi:
BTW. the conf directory is protected by a default .htaccess.
afaik .htacces protects from accessing the dir by a http request but not from php code sitting somewhere else writing into that dir (maybe even changing the .htaccess file) or doiing anything else inside

Quote by andi:
Disk space is cheap. But feel free to delete what you don't need.
agree on that - but as a "möchtegern" capitalist, I don't like wasting anything even if I have plenty of.
(and, this could be an issue for someone wanting to use it on a minimal web hosting provider)
Avatar
andi (Administrator) #17
User title: splitbrain
Member since May 2006 · 3509 posts · Location: Berlin Germany
Group memberships: Administrators, Members
Show profile · Link to this post
Quote by mfh:
well : contents of that page :
-Title
- 1 line summary
- section "Possible error messages"
- section "The fields to fill"

Feel free to update any missing documentation.

Quote by mfh:
The problem is, if installed with apt-get (according to instructions), the installer won't run ("

Problems with the Debian package should be reported to the package maintainer. IMHO the debian install scripts should do what the installer does for the "normal" users: Ask for initial ACL policy and create an admin user.
Read this if you don't get any useful answers.
Lies dies wenn du keine hilfreichen Antworten bekommst.
Close Smaller – Larger + Reply to this post:
Verification code: VeriCode Please enter the word from the image into the text field below. (Type the letters only, lower case is okay.)
Smileys: :-) ;-) :-D :-p :blush: :cool: :rolleyes: :huh: :-/ <_< :-( :'( :#: :scared: 8-( :nuts: :-O
Special characters:
Page:  previous  1  2 
Go to forum
Imprint
This board is powered by the Unclassified NewsBoard software, 20150713-dev, © 2003-2015 by Yves Goergen
Current time: 2020-01-18, 12:15:04 (UTC +01:00)